using CanteenContracts.BindingModels;
using CanteenContracts.SearchModel;
using CanteenContracts.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CanteenContracts.BusinessLogicsContracts
{
    public interface IDishLogic
    {
        List<DishViewModel>? ReadList(DishSearchModel? model);
        DishViewModel? ReadElement(DishSearchModel model);
        bool Create(DishBindingModel model);
        bool Update(DishBindingModel model);
        bool Delete(DishBindingModel model);
    }
}
